﻿

namespace SilverlightSIPClient
{
    public enum CallState
    {
        /// <summary>
        /// Call object has created.
        /// </summary>
        Created,

        /// <summary>
        /// Call has started.
        /// </summary>
        Setup,

        /// <summary>
        /// Some error happened, initializing the call.
        /// </summary>
        Error,

        /// <summary>
        /// Ringing.
        /// </summary>
        Ringing,

        /// <summary>
        /// Ringing with early media.
        /// </summary>
        RingingWithEarlyMedia,

        /// <summary>
        /// Local call party does not want to talk for a while.
        /// </summary>
        LocalHeld,

        /// <summary>
        /// Remote call party does not want to talk for a while.
        /// </summary>
        RemoteHeld,

        /// <summary>
        /// Call parties are talking.
        /// </summary>
        InCall,

        /// <summary>
        /// The call is hung up by someone.
        /// </summary>
        Completed,

        /// <summary>
        /// The call is rejected by someone.
        /// </summary>
        Rejected,

        /// <summary>
        /// The call is cancelled by someone.
        /// </summary>
        Cancelled,

        /// <summary>
        /// The call is signaled as busy by the other side.
        /// </summary>
        Busy,

    }
}
